Subject: Re: [PATCH] Probe Efika platform before CHRP.

From: Segher Boessenkool <[email-masked]>
Date: Mon, 8 Jan 2007 00:27:20 +0100

>>> (especially a C-based one, OpenBIOS
>>> is 90% Forth which is a terrible lock-in)
>
> ^^^^^^^
> I'll correct that then, FirmWorks (as used on OLPC) is 90% Forth,

Much more than 90%, heh.

> and
> I think there is a shortage of Forth coders compared to driver-writing
> low-level firmware coders who can do C or C++ or any other language
> for that matter, I think it makes it commercially unusable if you want
> any kind of turnaround on device support.

> OpenBIOS is maybe 30% Forth supplementing a fairly C-based 
> implementation
> but it is still too much Forth.

I really am not going to argue with you about this; you obviously
have no experience at all with this stuff, what you're saying is
based on preconceptions and nothing more.

> It also relies on a boot loading stage
> previous to it (no abstraction!) like UBoot or a PC BIOS to start with,
> so commercially without some work, it's fairly useless.

It is made to work with LinuxBIOS, instead.  Please research your
statements.

> Either way, without talking about CodeGen's source release (not
> commercially usable, and debatably not GPL-compatible either) we're
> the only company doing Open Firmware for PowerPC devices,

Same comment.

[advertisement snipped here]

It's great you feel so nice about the feature set of your
product, but I fail to see what that has to do with your
attacks on technical sound ways to do technical stuff.

Anyway, let me explain some very basic things.  PowerPC Linux
uses an Open Firmware-style device tree to communicate things
(mostly what hardware is there) from the firmware or the
boot loader to the kernel.  You cannot change this.  If you
really refuse to play within the rules of the game, feel free
to create and maintain your own fork of the kernel tree.

Segher